Bug 98028 - "Justify" not work correctly with Arabic in copy-past from web page to writer docx
Summary: "Justify" not work correctly with Arabic in copy-past from web page to writer...
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2016-02-20 18:27 UTC by yousifjkadom
Modified: 2018-03-08 11:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Alignment to right (5.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-02-20 18:27 UTC, yousifjkadom
Details
Adjustment (5.09 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-02-20 18:28 UTC, yousifjkadom
Details
file1 vs file2 (137.68 KB, image/png)
2016-02-26 19:44 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description yousifjkadom 2016-02-20 18:27:08 UTC
Created attachment 122821 [details]
Alignment to right

Hi. Please visit following address:

http://itwadi.com/node/2923

Now open attached file-1: it represent "copy-past" from this page to LO writer. No adjustment only alignment to right.

Now open file-2 which is same of file-1 above but after applying adjustment. Look for errors: how gaps & disconnection of some Arabic characters.

Best
Comment 1 yousifjkadom 2016-02-20 18:28:13 UTC
Created attachment 122822 [details]
Adjustment
Comment 2 Yousuf Philips (jay) (retired) 2016-02-26 19:44:16 UTC
Created attachment 123017 [details]
file1 vs file2
Comment 3 Yousuf Philips (jay) (retired) 2016-02-26 20:26:28 UTC
I can confirm that pasting in the default html format from both Firefox and Chromium and pressing the justify button will cause this full justified appearance.

It is caused by the pasted html having line breaks rather than paragraph breaks and pressing enter at the end sentence line solves this issue, but the question is should this issue arise with line breaks when the same doesnt happen in english.

Version: 5.2.0.0.alpha0+
Build ID: 003d0ccf902d2449320dd24119564565a384f365
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-23_02:42:33
Locale: en-US (en_US.UTF-8)
Comment 4 Khaled Hosny (inactive) 2016-10-19 21:30:35 UTC
I get the same issue with LTR text, FWIW. So unless there is an evidence that this is not the intended result, it should be closes as NOTABUG.
Comment 5 Khaled Hosny (inactive) 2016-10-19 21:31:09 UTC
Closed by accident.
Comment 6 QA Administrators 2018-03-06 03:43:56 UTC Comment hidden (obsolete)
Comment 7 yousifjkadom 2018-03-06 10:58:22 UTC
Hi. I test this bug using LibreOffice version 6.0.1.1 AppImage on Fedora Linux 26 bit Cinnamon edition. 

The bug is still existing without any improvement !

I re-opened the bug.
Comment 8 Khaled Hosny (inactive) 2018-03-06 14:37:23 UTC
(In reply to yousifjkadom from comment #7)
> Hi. I test this bug using LibreOffice version 6.0.1.1 AppImage on Fedora
> Linux 26 bit Cinnamon edition. 
> 
> The bug is still existing without any improvement !
> 
> I re-opened the bug.

Closed as NOTABUG means we acknowledge the described behavior as working as intended.
Comment 9 yousifjkadom 2018-03-07 17:06:28 UTC
@Khaled Hosny

I did not understand how this is exactly what expected from LO when copy/past from web page to document using it ??!!! Are you sure ???

Please compare Microsoft Office & L.O using same URL that I gave in 1st post (or any other Arabic site as you wish). 1st use Microsoft Office for copy/past from site (DO NOT USE PAST WITHOUT FORMAT OPTION), then make other copy by using L.O, & look for the difference !

If L.O do as it is needed to do, so why it's output different from that of Microsoft Office ??? Microsoft Office do not give, for example, قاهرة with 1st character (ق) being so looooooooong UNLESS being so in the web page (which is not the case in almost all web pages).

Best.
Comment 10 yousifjkadom 2018-03-07 17:10:34 UTC
@Khaled Hosny:

I forgot to mention that if I use copy/past (WITHOUT FORMATING), then make adjustment, then the final output will not be bad as when I copy/past (without using "past without format" option). So, how L.O working as expected ???
Comment 11 Khaled Hosny (inactive) 2018-03-07 20:58:23 UTC
The correct way to make an HTML paragraph is to wrap it in <p></p> tags, using <br> only forces a line break, which LibreOffice does not consider as a paragraph break. If you think this is wrong, please open a new issue since this has nothing to do with copying from HTML or Arabic, you can get the same in any text by inserting a manual line break (https://help.libreoffice.org/Writer/Insert_Manual_Break) and it happens with Arabic and English alike.
Comment 12 Khaled Hosny (inactive) 2018-03-07 21:07:37 UTC
There is even an option to control this, see https://bugs.documentfoundation.org/show_bug.cgi?id=106029#c0 (Tools → Options → LibreOffice Writer → Compatibility → Expand word space on lines with manual line breaks in justified paragraphs)
Comment 13 yousifjkadom 2018-03-08 11:18:07 UTC
@Khaled Hosny

Yes ! You are correct !! I tried: 

Tools → Options → LibreOffice Writer → Compatibility → Expand word space on lines with manual line breaks in justified paragraphs

& it work 100% !!!

Why you did not gave me this option before this time & leave me rotate over myself all this time from this issue ????!!!!!!

Now, I understand why certain web sites saying "UPGRADE from Microsoft Office to LibreOffice". LO containing greater powers than Microsoft Office !

I'm not a web sites designer, so I did not understood your statement:

"The correct way to make an HTML paragraph is to wrap it in <p></p> tags, using <br> only forces a line break, which LibreOffice does not consider as a paragraph break."

But I feel that LO has capability to be used in building documents used as a web pages .... isn't it ?

However, now I can use LO in very needed daily online activities. I need to copy/past from Arabic pages to office documents & your last option make me able from that without this issue.

Thank you very much !
Comment 14 yousifjkadom 2018-03-08 11:19:38 UTC Comment hidden (obsolete)
Comment 15 yousifjkadom 2018-03-08 11:21:29 UTC Comment hidden (obsolete)